# __gnu_cxx::_Constant_void_fun< _Result > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Constant_void_fun< _Result >:

List of all members.

## Detailed Description

### template<class _Result>
struct __gnu_cxx::_Constant_void_fun< _Result >

Definition at line 247 of file ext/functional.

## Public Types

- typedef _Result result_type

## Public Member Functions

- _Constant_void_fun (const result_type &__v)
- const result_type & operator() () const

## Public Attributes

- result_type _M_val

The documentation for this struct was generated from the following file:

- ext/functional